<!--- // include the standard month set up --->
<!--- <cfinclude template="/ADF/Apps/pt_calendar2/customcf/calendar_standard_setup.cfm"> --->

<cfscript>
	request.element.isStatic = 0;
	items = attributes.elementInfo.elementData.propertyValues;
	// Sort the eventArray by StartTime and 
	items = Application.ptCalendar2.CEData.arrayOfCEDataSort(items,"starttime","asc","textnocase");
	
//Application.ADF.utils.doDump(request.ptcalendar2,"request.ptcalendar2",0);	
	
	detailPageURL = cgi.script_name;
	
	//formID = Application.ptCalendar2.getCalendarFormID();
	pageMap = Application.ptCalendar2.calendarService.getCalPageMap();
	
	if( structKeyExists(pageMap, "detailPage") and len(pageMap.detailPage) )
		detailPageURL = pageMap.detailPage;
	
	// Sort the eventArray by StartTime and 
	items = Application.ptCalendar2.CEData.arrayOfCEDataSort(items,"starttime","desc","textnocase");
</cfscript>
<!--- <cfdump var="#items#" label="items" expand="false" /> --->

<cfoutput>

<!--- #now()#<br/> --->

<!--- 	#request.ptcalendar2.fullDate# --->
<ul class="day-nav">
	<li><a href="#cgi.script_name#?clicked=1&day=#day(request.ptcalendar2.yesterday)#&month=#month(request.ptcalendar2.yesterday)#&year=#year(request.ptcalendar2.yesterday)#">&lt;&lt; #dateFormat(request.ptcalendar2.yesterday, "mmm dd")#</a></li>
	<li><a href="#cgi.script_name#?clicked=1&day=#day(request.ptcalendar2.tomorrow)#&month=#month(request.ptcalendar2.tomorrow)#&year=#year(request.ptcalendar2.tomorrow)#">#dateFormat(request.ptcalendar2.tomorrow, "mmm dd")# &gt;&gt;</a></li>
</ul>

<h2 class="day-header">Events for #request.ptcalendar2.formattedDate#</h2>
<cfif not arrayLen(items)>
	<h2 class="event_name">No events for today</h2>
<cfelse>
	<cfloop from="1" to="#arrayLen(items)#" index="itm">
		<cfset iconImgStr = "" />
		<cfif LEN(TRIM(items[itm].values.Category))>
			<cfsavecontent variable="iconImgStr">
				<cfset categoryArray = Application.ptCalendar2.CEData.getCEData("Event Categories","Name",items[itm].values.Category,"selected")>
				<!--- <cfdump var="#categoryArray#" label="CategoryArray" expand="0"/> --->
				<cfloop from="1" to="#ArrayLen(categoryArray)#" index="icn">
					<!--- #categoryArray[icn].values.categoryIcon#<br> --->
					<cfif LEN(TRIM(categoryArray[icn].values.categoryIcon))>
					<cfset iconStruct = Application.ptCalendar2.CSData.decipherCPIMAGE(categoryArray[icn].values.categoryIcon) />
					<!--- <cfdump var="#iconStruct#" label="iconStruct" expand="0"/><br /> --->
					<img src="#iconStruct.RESOLVEDURL.SERVERRELATIVE#" class="eventIcon" border="0" alt=""> 
					</cfif>
				</cfloop>
			</cfsavecontent>
		</cfif>
		<div class="day-list-wrapper">
			<cfset eventID = "eid-" & items[itm].values.uniqueID />
			<cfset eventTypeClassList = Application.ptCalendar2.calendarService.buildEventTypeClassList(items[itm].values.category) /> 
			<div id="#eventID#" class="eventLayer #eventTypeClassList#">
				
				<cfset eventDetailLink = detailPageURL & "?uid=" & items[itm].values.uniqueID />
				
				<!--- //Build Time String --->
				<cfsavecontent variable="timeStr">
					<cfoutput>#timeFormat(items[itm].Values.startTime, "h:mm tt")#<cfif len(items[itm].Values.endTime)> - #timeFormat(items[itm].Values.endTime, "h:mm tt")#</cfif></cfoutput>
				</cfsavecontent>
				<cfif LEN(TRIM(timeStr)) EQ 0>
					<cfset timeStr = "All Day" />
				</cfif>	
				
				<!--- //Output Time String --->
				<cfif LEN(TRIM(timeStr))>
					<div class="event-header">#timeStr#</div><!--- class="event-time" --->
				</cfif>
				
				<!--- // Output Event Name and Detail Link with or without tooltip --->
				<div class="event-name">
					<cfif LEN(TRIM(iconImgStr))>#iconImgStr# </cfif><a href='#eventDetailLink#'>#items[itm].Values.title#</a>
				</div>
				
				<ul class="event-details">
				
				<!--- // Output Event Description --->
				<cfif LEN(TRIM(items[itm].Values.description))>
					<li class="event-desc">Description: #items[itm].Values.description#</li>
				</cfif>	
				
				<!--- // Output Event Location --->
				<cfif LEN(TRIM(items[itm].Values.location))>
					<li class="event-location">Location: <span>#items[itm].Values.location#</span></li>
				</cfif>
							
				<!--- //Build Contact Info String --->
				<cfsavecontent variable="contactStr">
					<!--- <cfif LEN(TRIM(items[itm].Values.useRequestorAsContact)) AND items[itm].Values.useRequestorAsContact EQ 1>
						<cfif LEN(TRIM(items[itm].Values.eventRequestorName))>
						<div class="event-contactName">#items[itm].Values.eventRequestorName#</div>
						</cfif>	
						<cfif LEN(TRIM(items[itm].Values.eventRequestorPhone))>
						<div class="event-contactPhone">#items[itm].Values.eventRequestorPhone#</div>
						</cfif>
						<cfif LEN(TRIM(items[itm].Values.eventRequestorEmail))>
						<div class="event-contactEmail"><a href="mailto:#items[itm].Values.eventRequestorEmail#">#items[itm].Values.eventRequestorEmail#</a></div>
						</cfif>
					<cfelse> --->
						<cfif LEN(TRIM(items[itm].Values.contactName))>
						<div class="event-contactName"><strong>Name:</strong> #items[itm].Values.contactName#</div>
						</cfif>	
						<cfif LEN(TRIM(items[itm].Values.contactPhone))>
						<div class="event-contactPhone"><strong>Phone:</strong> #items[itm].Values.contactPhone#</div>
						</cfif>
						<cfif LEN(TRIM(items[itm].Values.contactEmail))>
						<div class="event-contactEmail"><strong>Email:</strong> <a href="mailto:#items[itm].Values.contactEmail#">#items[itm].Values.contactEmail#</a></div>
						</cfif>
					<!--- </cfif> --->
				</cfsavecontent>
				
				<!--- // Output Contact String --->
				<cfif LEN(TRIM(contactStr))>
					<li class="event-contact"><strong>Contact Information:</strong> <span>#contactStr#</span></li>
				</cfif>
				
				<!--- // Output URL String --->
				<cfif LEN(TRIM(items[itm].Values.url))>
					<li class="event-website"><strong>Web:</strong> <a href="#items[itm].Values.url#">#items[itm].Values.url#</a></li>
				</cfif>
			
				</ul>	
				<!--- <cfif LEN(TRIM(items[itm].Values.description))>
				<p class="event-desc">Description: #items[itm].Values.description#</p>
				</cfif>  --->
							
				<!--- <h2 class="event_name"><a href="#detailPageURL#?uid=#items[itm].values.uniqueID#">#items[itm].Values.title#</a></h2>
				<!--- <h2 class="event_name"><a href="#detailPageURL#?customel_dataPageID_#formID#=#items[itm].pageID#">#items[itm].Values.title#</a></h2> --->
				<ul class="event_links">
					<li class="first">Time: #timeFormat(items[itm].Values.startTime, "h:mm tt")#<cfif len(items[itm].Values.endTime)> - #timeFormat(items[itm].Values.endTime, "h:mm tt")#</cfif></li>
					<li>Location: #items[itm].Values.location#</li>
					<li>Contact: #items[itm].Values.contactName#
						<br/>Phone: #items[itm].Values.contactPhone#
						<br/>Email: #items[itm].Values.contactEmail#</li>
				</ul>		
				<p class="event_desc">Description: #items[itm].Values.description#</p> ---><!--- description --->
				
			</div>
		</div>
		<!--- <div class="event-last"></div> --->
	</cfloop>
</cfif>
</cfoutput>
