<!--- // register this page as the detail event page --->
<cfscript>
	request.element.isStatic = 0;
	items = attributes.elementInfo.elementData.propertyValues;
	itm = 1;
	
	//formID = Application.ptCalendar2.getCalendarFormID();
	pageMap = Application.ptCalendar2.calendarService.getCalPageMap();
	
	if( structKeyExists(pageMap, "detailPage") and len(pageMap.detailPage) )
		detailPageURL = pageMap.detailPage;
</cfscript>
<!--- <cfdump var="#items#" label="items" expand="false"> --->

<cfif not arrayLen(items)>
	<cfoutput><strong>No Event Data Available!</strong></cfoutput>	
<cfelse>
<cfoutput>
	<!--- // Build Event Category Icon String --->
	<cfset iconImgStr = "" />
	<cfif LEN(TRIM(items[1].values.Category))>
		<cfsavecontent variable="iconImgStr">
			<cfset categoryArray = Application.ptCalendar2.CEData.getCEData("Event Categories","Name",items[1].values.Category,"selected")>
			<cfloop from="1" to="#ArrayLen(categoryArray)#" index="icn">
				<cfif LEN(TRIM(categoryArray[icn].values.categoryIcon))>
				<cfset iconStruct = Application.ptCalendar2.CSData.decipherCPIMAGE(categoryArray[icn].values.categoryIcon) />
				<img src="#iconStruct.RESOLVEDURL.SERVERRELATIVE#" class="eventIcon" border="0" alt="" > 
				</cfif>
			</cfloop>
		</cfsavecontent>
	</cfif>

	<div class="day-list-wrapper">
		
		<!--- <div class="event-header"></div> --->
	
		<h2 class="event-header">#items[1].Values.title#</h2>
		
		<cfif LEN(TRIM(iconImgStr))>
			<div class="event-icons">#iconImgStr#</div>
		</cfif>
	
		<!--- <cfset eventDetailLink = detailPageURL & "?uid=" & items[itm].values.uniqueID /> --->
		
		<div class="event-date"><strong>Date:</strong> #dateFormat(items[1].Values.eventDate, 'dddd mmmm d, yyyy')#</div>
		
		<!--- // Output Event Name and Detail Link with or without tooltip --->
		<!--- <div class="event-name">
			<a href='#eventDetailLink#'>#items[itm].Values.title#</a>
		</div> --->
		
		<!--- //Build Time String --->
		<cfsavecontent variable="timeStr">
			<cfoutput>#timeFormat(items[itm].Values.startTime, "h:mm tt")#<cfif len(items[itm].Values.endTime)> - #timeFormat(items[itm].Values.endTime, "h:mm tt")#</cfif></cfoutput>
		</cfsavecontent>
		<cfif LEN(TRIM(timeStr)) EQ 0>
			<cfset timeStr = "All Day" />
		</cfif>	
		
		<!--- //Output Time String --->
		<cfif LEN(TRIM(timeStr))>
			<div class="event-time"><strong>Time: </strong>#timeStr#</div>
		</cfif>
	
		<ul class="event-details">
		
		<!--- // Output Event Description --->
		<cfif LEN(TRIM(items[itm].Values.description))>
			<li class="event-desc"><strong>Description:</strong> #items[itm].Values.description#</li>
		</cfif>	
		
		<!--- // Output Event Location --->
		<cfif LEN(TRIM(items[itm].Values.location))>
			<li class="event-location"><strong>Location:</strong> <span>#items[itm].Values.location#</span></li>
		</cfif>
					
		<!--- //Build Contact Info String --->
		<cfsavecontent variable="contactStr">
			<cfif LEN(TRIM(items[itm].Values.contactName))>
			<div class="event-contactName"><strong>Name:</strong> #items[itm].Values.contactName#</div>
			</cfif>	
			<cfif LEN(TRIM(items[itm].Values.contactPhone))>
			<div class="event-contactPhone"><strong>Phone:</strong> #items[itm].Values.contactPhone#</div>
			</cfif>
			<cfif LEN(TRIM(items[itm].Values.contactEmail))>
			<div class="event-contactEmail"><strong>Email:</strong> <a href="mailto:#items[itm].Values.contactEmail#">#items[itm].Values.contactEmail#</a></div>
			</cfif>
		</cfsavecontent>
		
		<!--- // Output Contact String --->
		<cfif LEN(TRIM(contactStr))>
			<li class="event-contact"><strong>Contact Information:</strong> <span>#contactStr#</span></li>
		</cfif>
		
		<cfif LEN(TRIM(items[itm].Values.url))>
			<li class="event-website"><strong>Web:</strong> <a href="#items[itm].Values.url#">#items[itm].Values.url#</a></li>
		</cfif>
	
		</ul>	
			
	</div>
	
	
	
	<!--- <div class="event_photo">#items[1].photo.value#</div> --->
	<!--- <h2 class="event-header">#items[1].Values.title#</h2>
	<p><strong>Date:</strong> #dateFormat(items[1].Values.eventDate, 'dddd mmmm d, yyyy')#<br>
	<strong>Time:</strong> #timeFormat(items[1].Values.startTime, 'h:mm tt')# - #timeFormat(items[1].Values.endTime, 'h:mm tt')#<br>
	<strong>Location: </strong> #items[1].Values.location#</p>
	<p>#items[1].Values.description#</p>
	<!--- <p><strong>Sponsored by:</strong>#items[1].Values.sponsors#</p> --->
	<p><strong>For more information:</strong><a href="#items[1].Values.url#">#items[1].Values.url#</a></p> --->
</cfoutput>
</cfif>